Name:           guestfs-browser
Version:        0.2.2
Release:        16%{?dist}
Summary:        Guest filesystem browser

License:        GPLv2+

URL:            http://people.redhat.com/~rjones/guestfs-browser/
Source0:        http://people.redhat.com/~rjones/guestfs-browser/files/guestfs-browser-%{version}.tar.gz

# Upstream fix for OCaml 4.02.  It patches Makefile.am, hence extra BRs.
Patch1:         0001-Ignore-warning-3-about-String.set-for-OCaml-4.02.patch
BuildRequires: autoconf automake libtool

BuildRequires:  hivex-devel >= 1.2.4-3
BuildRequires:  libguestfs-devel
BuildRequires:  libvirt-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-bitstring-devel
BuildRequires:  ocaml-calendar-devel
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-camomile-devel >= 0.8.1, ocaml-camomile-data
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-hivex-devel
BuildRequires:  ocaml-lablgtk-devel >= 2.14.2-6
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  ocaml-libguestfs-devel >= 1:1.12.1-4
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  /usr/bin/pod2man
BuildRequires:  /usr/bin/pod2html
BuildRequires:  desktop-file-utils

Requires:       libguestfs >= 1:1.12.1-4
Requires:       /usr/bin/gnome-open
Requires:       /usr/bin/hivexregedit
# https://bugzilla.redhat.com/show_bug.cgi?id=669911#c17
Requires:       ocaml-camomile-data

# Only needed to build the internal documentation.
#BuildRequires:  ocaml-ocamldoc


%description
The Guest Filesystem Browser lets you browse inside the filesystems of
virtual machines and disk images using a simple graphical interface.

This package delivers some of the features of libguestfs and the
guestfish scripting tool to users who do not want to use the command
line.


%prep
%setup -q

%patch1 -p1
autoreconf -i


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%check
make check


%files
%doc COPYING HACKING README
%{_bindir}/guestfs-browser
%{_mandir}/man1/guestfs-browser.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}


%changelog
* Wed Jun 24 2015 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-16
- ocaml-4.02.2 final rebuild.

* Thu Jun 18 2015 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-15
- Bump release and rebuild.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-13
- Bump release and rebuild.

* Tue Feb 17 2015 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-12
- ocaml-4.02.1 rebuild.

* Sun Aug 31 2014 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-11
- Bump release and rebuild.

* Sun Aug 31 2014 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-10
- ocaml-4.02.0 final rebuild.

* Sun Aug 24 2014 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-9
- Bump release and rebuild.

* Sat Aug 23 2014 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-8
- Bump release and rebuild.

* Sat Aug 23 2014 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-7
- ocaml-4.02.0+rc1 rebuild.

* Sun Aug 17 2014 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-6
- ocaml-4.02.0-0.8.git10e45753.fc22 rebuild.
- Add fix for OCaml 4.02.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jan 28 2013 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-1
- New upstream version 0.2.2.
- This version fixes some lablgtk2 bugs.
- Rebuild to attempt to fix RHBZ#892285.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov  7 2011 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-3
- Rebuild for updated libpng 1.5.

* Tue Aug  2 2011 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-2
- Runtime requires ocaml-camomile-data (thanks Josh Stone).

* Fri Jul 29 2011 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-1
- New upstream version 0.2.1.
- +BR ocaml-calendar-devel.

* Fri Jul 29 2011 Richard W.M. Jones <rjones@redhat.com> - 0.2.0-1
- New upstream version 0.2.0.
- Build against lablgtk which fixes Queue.Empty exception problem.

* Wed Jul 27 2011 Richard W.M. Jones <rjones@redhat.com> - 0.1.7-1
- Remove .desktop file, which is now upstream.
- Add 'make check' rule.
- Include application directory (currently just contains icons).

* Tue Jul 26 2011 Richard W.M. Jones <rjones@redhat.com> - 0.1.6-3
- First version added to Fedora.
- Remove desktop-file-validate.
- Requires libguestfs >= 1:1.12.1-4 (for OCaml bindings threads fix).

* Tue Jul 26 2011 Richard W.M. Jones <rjones@redhat.com> - 0.1.6-2
- Fedora review (https://bugzilla.redhat.com/669911#c8)

* Sat Jan 15 2011 Richard W.M. Jones <rjones@redhat.com> - 0.1.6-1
- Initial RPM release.
